> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Lien Submission Attachment

> Deletes a specific attachment from a lien filing submission.

This endpoint allows users to delete an attachment associated with a lien filing submission.
The attachment is identified by its unique ID, and the lien filing submission is identified
by its unique filing ID.



## OpenAPI

````yaml /api-reference/openapi.json delete /lien_submissions/{filing_id}/attachments/{attachment_id}
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /lien_submissions/{filing_id}/attachments/{attachment_id}:
    delete:
      tags:
        - Lien Filing
      summary: Delete Lien Submission Attachment
      description: >-
        Deletes a specific attachment from a lien filing submission.


        This endpoint allows users to delete an attachment associated with a
        lien filing submission.

        The attachment is identified by its unique ID, and the lien filing
        submission is identified

        by its unique filing ID.
      operationId: >-
        delete_lien_submission_attachment_lien_submissions__filing_id__attachments__attachment_id__delete
      parameters:
        - name: filing_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Lien Filing ID
            description: The ID of the lien filing to delete the attachment from.
          description: The ID of the lien filing to delete the attachment from.
        - name: attachment_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Attachment ID
            description: The ID of the attachment to delete from the lien filing.
          description: The ID of the attachment to delete from the lien filing.
      responses:
        '204':
          description: The lien filing attachment has been successfully deleted.
        '404':
          description: The lien filing document or attachment does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
                title: ResourceNotFound
                description: Could not locate the resource for the given URI.
                examples:
                  - code: 1
                    message: Could not locate the resource for the given URI.
                    metadata: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    APIError:
      properties:
        code:
          type: integer
          title: Code
        message:
          type: string
          title: Message
        uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Uri
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
      type: object
      required:
        - code
        - message
      title: APIError
      description: >-
        APIError is a Pydantic model for standardizing error responses from the
        API.


        This class is used internally by APIException for JSON serialization.

        Users should typically work with APIException directly in exception
        catalogs.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````